
 LinHES - Bug # 627: NFS client hangs in R6

Status: Works for me Priority: Normal
Author: MrFahrenheit Category: Packages: Core
Created: 02/17/2010 Assignee:
Updated: 03/29/2010 Due date:
Description: The NFS client in R6 intermittently hangs when accessing an NFS share.  I have not found a reliable way to 

reproduce this, but it does happen a couple of times a day to NFS shares listed in /etc/fstab.  The only way I 
found to recover from this problem besides rebooting is to stop the frontend and use umount -f on the NFS 
shares on the client.  This does not always work.

Using AutoFS decreases the frequency of the problem, but is by no means, a fix.

The NFS server has been in use for years and has no problem with any of the other clients that are using it.  

I've changed the switch, and the cables between the server and the client to no effect.

This happens on several different clients, and is experienced by other users as seen in the original post.

Originally posted on the forums [[http://mysettopbox.tv/phpBB2/viewtopic.php?t=20261|here]] .  More 
information is available at the link.

This bug makes sharing pictures, videos, and music from a central server almost impossible.

It also makes a slave backend unreliable.

History
02/18/2010 08:38 pm - grg3
I am experiencing this problem also. I used to be able to setup nfs and forget it, but now I cannot rely on it to start and stay up.

I try to restart nfslock and netfs on mybackend (NFS shares) and sometimes that works and sometimes it doesn't.

Anyone have any ideas how to make this service more reliable?

02/27/2010 09:58 pm - Too-Many-Secrets
I have seen this as well. Can't seem to find a solution with mounting options. 90% of the time have to reboot.

03/21/2010 03:10 pm - MrFahrenheit
This bug has not happened since I updated to 6.02.  Based on how frequent it was in 6.01, I'm guessing that it's been fixed.

03/29/2010 06:59 pm - mihanson
- % Done changed from 0 to 100

- Status changed from New to Works for me

- Target version set to 6.03.00

- Category set to Packages: Core
